org.bouncycastle.asn1.sec

## Class ECPrivateKeyStructure

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.sec.ECPrivateKeyStructure

All Implemented Interfaces:
  DEREncodable

    public class ECPrivateKeyStructure
    extends ASN1Encodable

the elliptic curve private key object from SEC 1

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`ECPrivateKeyStructure(ASN1Sequence seq)`
`ECPrivateKeyStructure(java.math.BigInteger key)`
`ECPrivateKeyStructure(java.math.BigInteger key, ASN1Encodable parameters)`
`ECPrivateKeyStructure(java.math.BigInteger key, DERBitString publicKey, ASN1Encodable parameters)`

### Method Summary

Methods
`java.math.BigInteger` `getKey()`
`ASN1Object` `getParameters()`
`DERBitString` `getPublicKey()`
`DERObject` `toASN1Object()` ECPrivateKey ::= SEQUENCE { version INTEGER { ecPrivkeyVer1(1) } (ecPrivkeyVer1), privateKey OCTET STRING, parameters [0] Parameters OPTIONAL, publicKey [1] BIT STRING OPTIONAL }

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ECPrivateKeyStructure

    public ECPrivateKeyStructure(ASN1Sequence seq)

#### ECPrivateKeyStructure

    public ECPrivateKeyStructure(java.math.BigInteger key)

#### ECPrivateKeyStructure

    public ECPrivateKeyStructure(java.math.BigInteger key,
                         ASN1Encodable parameters)

#### ECPrivateKeyStructure

    public ECPrivateKeyStructure(java.math.BigInteger key,
                         DERBitString publicKey,
                         ASN1Encodable parameters)

### Method Detail

#### getKey

    public java.math.BigInteger getKey()

#### getPublicKey

    public DERBitString getPublicKey()

#### getParameters

    public ASN1Object getParameters()

#### toASN1Object

    public DERObject toASN1Object()

ECPrivateKey ::= SEQUENCE { version INTEGER { ecPrivkeyVer1(1) } (ecPrivkeyVer1), privateKey OCTET STRING, parameters [0] Parameters OPTIONAL, publicKey [1] BIT STRING OPTIONAL }

Specified by:
  `toASN1Object` in class `ASN1Encodable`